> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the affiliation Cashbacks ventilation file

> Lists the ventilation of Affiliation Cashbacks with amounts per Consumer.



## OpenAPI

````yaml /program/api/openapi/legacy/1.1.3/m2m.json get /connectors/m2m/ventilations/rewards/affiliation
openapi: 3.0.2
info:
  title: PayLead API
  version: 1.1.3
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/m2m/ventilations/rewards/affiliation:
    get:
      tags:
        - Affiliation Cashback
      summary: Get the affiliation Cashbacks ventilation file
      description: >-
        Lists the ventilation of Affiliation Cashbacks with amounts per
        Consumer.
      parameters:
        - description: Filter by invoicing_cycle
          in: query
          name: invoicing_cycle
          schema:
            type: string
        - description: the page number
          in: query
          name: page
          required: false
          schema:
            minimum: 1
            type: integer
        - description: the number of elements per page
          in: query
          name: per_page
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
        - description: Sort by given attribute
          in: query
          name: sort
          schema:
            enum:
              - invoicing_cycle
              - '-invoicing_cycle'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: '#/components/schemas/AffiliationVentilationFileListing'
                    type: array
                  meta:
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
          description: OK
          links:
            get.AffiliationVentilationCsvResource:
              operationId: get.AffiliationVentilationCsvResource
              parameters:
                invoicing_cycle: $response.body#/items/0/invoicing_cycle
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    AffiliationVentilationFileListing:
      properties:
        amount: {}
        invoicing_cycle:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````